Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDBorderStyleDictionary

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDBorderStyleDictionary

All Implemented Interfaces:
  COSObjectable

public class PDBorderStyleDictionary
extends Object
implements COSObjectable

This class represents a PDF /BS entry the border style dictionary.

Version:
  $Revision: 1.1 $
Author:
  Paul King

Field Summary
`static String` | `STYLE_BEVELED` Constant for the name of a beveled style.
`static String` | `STYLE_DASHED` Constant for the name of a dashed style.
`static String` | `STYLE_INSET` Constant for the name of a inset style.
`static String` | `STYLE_SOLID` Constant for the name of a solid style.
`static String` | `STYLE_UNDERLINE` Constant for the name of a underline style.

Constructor Summary
`PDBorderStyleDictionary()` Constructor.
`PDBorderStyleDictionary(COSDictionary dict)` Constructor.

Method Summary
`COSBase` | `getCOSObject()` returns the dictionary.
`PDLineDashPattern` | `getDashStyle()` This will retrieve the dash style used for drawing the border.
`COSDictionary` | `getDictionary()` returns the dictionary.
`String` | `getStyle()` This will retrieve the border style, see the STYLE_* constants for valid values.
`float` | `getWidth()` This will retrieve the border width in points, 0 = no border.
`void` | `setDashStyle(PDLineDashPattern d)` This will set the dash style used for drawing the border.
`void` | `setStyle(String s)` This will set the border style, see the STYLE_* constants for valid values.
`void` | `setWidth(float w)` This will set the border width in points, 0 = no border.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_SOLID

    public static final String STYLE_SOLID

  Constant for the name of a solid style.

  See Also:
    Constant Field Values

### STYLE_DASHED

    public static final String STYLE_DASHED

  Constant for the name of a dashed style.

  See Also:
    Constant Field Values

### STYLE_BEVELED

    public static final String STYLE_BEVELED

  Constant for the name of a beveled style.

  See Also:
    Constant Field Values

### STYLE_INSET

    public static final String STYLE_INSET

  Constant for the name of a inset style.

  See Also:
    Constant Field Values

### STYLE_UNDERLINE

    public static final String STYLE_UNDERLINE

  Constant for the name of a underline style.

  See Also:
    Constant Field Values

Constructor Detail

### PDBorderStyleDictionary

    public PDBorderStyleDictionary()

  Constructor.

### PDBorderStyleDictionary

    public PDBorderStyleDictionary(COSDictionary dict)

  Constructor.

Parameters:
  `dict` - a border style dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  returns the dictionary.

  Returns:
    the dictionary

### getCOSObject

    public COSBase getCOSObject()

  returns the dictionary.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    the dictionary

### setWidth

    public void setWidth(float w)

  This will set the border width in points, 0 = no border.

  Parameters:
    `w` - float the width in points

### getWidth

    public float getWidth()

  This will retrieve the border width in points, 0 = no border.

  Returns:
    flaot the width of the border in points

### setStyle

    public void setStyle(String s)

  This will set the border style, see the STYLE_* constants for valid values.

  Parameters:
    `s` - the border style to use

### getStyle

    public String getStyle()

  This will retrieve the border style, see the STYLE_* constants for valid values.

  Returns:
    the style of the border

### setDashStyle

    public void setDashStyle(PDLineDashPattern d)

  This will set the dash style used for drawing the border.

  Parameters:
    `d` - the dash style to use

### getDashStyle

    public PDLineDashPattern getDashStyle()

  This will retrieve the dash style used for drawing the border.

  Returns:
    the dash style of the border

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD